Skip to main content

Set Bounce Shield threshold

Set or replace the Bounce Shield Monitor bounce rate threshold for a campaign. Provide the threshold as an integer representing a percentage, for example 10 for 10%. Bounce Shield Monitor uses this value to decide when to automatically pause the campaign.

Request​

Endpoint​

PUT https://api.woodpecker.co/rest/v2/campaigns/{campaign_id}/bounce_shield/threshold

Headers​

x-api-key: {YOUR_API_KEY}
Content-Type: application/json

For details on how to authenticate your requests, please see the authentication guide.

Parameters​

ParameterRequiredTypeDescription
campaign_idYesintegerCampaign ID

Body​

The request body is required. Send bounce_rate_threshold as an integer between 1 and 99.

{
"bounce_rate_threshold": 12
}

Body schema​

FieldTypeRequiredDescription
bounce_rate_thresholdintegerYesBounce rate threshold percentage

Request samples​

Set the threshold​

curl --request PUT \
--url "https://api.woodpecker.co/rest/v2/campaigns/{campaign_id}/bounce_shield/threshold" \
--header "x-api-key: {YOUR_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"bounce_rate_threshold": 12
}'

Response​

Response examples​

The threshold has been set.

Status: 204
Body: none